Bug 521361 - setroubleshoot: SELinux is preventing the wineserver from using potentially mislabeled files (server-801-1c3cd).
Summary: setroubleshoot: SELinux is preventing the wineserver from using potentia...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:bb88a225f91...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 05:39 UTC by Justin Noah
Modified: 2009-09-08 11:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 11:25:35 UTC


Attachments (Terms of Use)

Description Justin Noah 2009-09-05 05:39:05 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing the wineserver from using potentially mislabeled files
(server-801-1c3cd).

Detailed Description:

[wineserver has a permissive type (wine_t). This access was not denied.]

SELinux has denied wineserver access to potentially mislabeled file(s)
(server-801-1c3cd). This means that SELinux will not allow wineserver to use
these files. It is common for users to edit files in their home directory or tmp
directories and then move (mv) them to system directories. The problem is that
the files end up with the wrong file context which confined applications are not
allowed to access.

Allowing Access:

If you want wineserver to access this files, you need to relabel them using
restorecon -v 'server-801-1c3cd'. You might want to relabel the entire directory
using restorecon -R -v 'server-801-1c3cd'.

Additional Information:

Source Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:tmp_t:s0
Target Objects                server-801-1c3cd [ dir ]
Source                        wineserver
Source Path                   /usr/bin/wineserver
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           wine-core-1.1.29-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.30-2.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   home_tmp_bad_labels
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.199.rc8.git2.fc12.i686.PAE #1 SMP Wed Sep
                              2 20:54:44 EDT 2009 i686 i686
Alert Count                   3
First Seen                    Fri 04 Sep 2009 10:26:04 PM PDT
Last Seen                     Fri 04 Sep 2009 10:26:04 PM PDT
Local ID                      42d76607-7625-44cf-9ca2-891713f7d8b1
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1252128364.99:566): avc:  denied  { write } for  pid=8631 comm="wineserver" name="server-801-1c3cd" dev=sda1 ino=115664 scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmp_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1252128364.99:566): avc:  denied  { remove_name } for  pid=8631 comm="wineserver" name="socket" dev=sda1 ino=91241 scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmp_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1252128364.99:566): avc:  denied  { unlink } for  pid=8631 comm="wineserver" name="socket" dev=sda1 ino=91241 scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmp_t:s0 tclass=sock_file

node=(removed) type=SYSCALL msg=audit(1252128364.99:566): arch=40000003 syscall=10 success=yes exit=0 a0=8093c09 a1=bfc54914 a2=bfc54914 a3=bfc54974 items=0 ppid=8630 pid=8631 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="wineserver" exe="/usr/bin/wineserver" subj=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 key=(null)

=====================================================

Sorry for spamming a few wine selinux bugs. I think a policy just needs to be created, but I thought I'd drop this by you anyway.


audit2allow suggests:

#============= wine_t ==============
allow wine_t tmp_t:dir { write remove_name };
allow wine_t tmp_t:sock_file unlink;

Comment 1 Daniel Walsh 2009-09-08 11:25:35 UTC
Fixed in selinux-policy-3.6.30-5.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.